Subject: Re: [PATCH] documentation symlink restrictions for .git* files

From: Junio C Hamano <[email-masked]>
Date: Tue, 27 Oct 2020 11:45:36 -0700

Jeff King <[email-masked]> writes:

>>  DESCRIPTION
>>  -----------
>>  
>> -A `gitattributes` file is a simple text file that gives
>> -`attributes` to pathnames.
>> +A `gitattributes` file is a simple text file (it cannot be a
>> +symbolic link to anything) that gives `attributes` to pathnames.
>
> I worried that even a short mention like this would be distracting. Not
> because it's so long, but because it's right there in the very first
> sentence, and I really think this is a corner case that most people
> would not even think about.
>
> So it is helpful if you are looking for info on symlinks and these
> files, but probably clutter if you are looking for something else.
>
> I have to admit I don't feel all that strongly either way, though.

I don't, either, and as I said, I found that the placement of new
text was OK.